# Generated automatically from Makefile.config.in by configure.
VERSION=2.11

CAMLDIR=/usr/local/lib/ocaml
LIBDIR=/usr/local/lib/ocaml/camlimages

CAMLC = ocamlc.opt 
CAMLOPT = ocamlopt.opt 
CAMLC_LABEL = ocamlc.opt -labels
CAMLOPT_LABEL = ocamlopt.opt -labels
CAMLDEP = ocamldep
CAMLLEX = ocamllex.opt
CAMLYACC = ocamlyacc
CAMLMKTOP = ocamlmktop
CAMLMKLIB = ocamlmklib
CUSTOM=-custom

SUPPORTED=  lablgtk bmp ppm gif png jpeg tiff freetype(2) ps

SUPPORT_GIF=true
SUPPORT_PNG=true
SUPPORT_JPEG=true
SUPPORT_TIFF=true
SUPPORT_FREETYPE=true
SUPPORT_FREETYPE2=true
SUPPORT_PS=true
SUPPORT_LABLGTK=true
SUPPORT_GDKPIXBUF=false
SUPPORT_LABLGTK2=false

LIBGIF=-lgif
LIBBMP=
LIBJPEG=-ljpeg
LIBTIFF=-ltiff
LIBFREETYPE=-L/usr/X11R6/lib -lfreetype
LIBPNG=-lpng -lz
LIBXVTHUMB=
LIBXPM=
LIBPPM=
LIBPS=

CFLAGS=-I/usr/local/include
LDFLAGS=-L/usr/local/lib
X_CFLAGS= -I/usr/X11R6/include

INCLUDE_FREETYPE=-I/usr/X11R6/include -I/usr/X11R6/include/freetype2

LABLGTKDIR=/usr/local/lib/ocaml/lablgtk
LABLGTK2DIR=

RANLIB=ranlib

LIBPREFIX =	ci_

WITH_UNIX=	unix.cma

WITH_CORELIB  = $(LIBPREFIX)core.cma

WITH_GRAPHICS =	graphics.cma $(LIBPREFIX)graphics.cma

WITH_GIF = 	$(LIBPREFIX)gif.cma

WITH_JPEG =	$(LIBPREFIX)jpeg.cma

WITH_TIFF =	$(LIBPREFIX)tiff.cma

WITH_XPM =	$(LIBPREFIX)xpm.cma

WITH_BMP =	$(LIBPREFIX)bmp.cma

WITH_PPM =	$(LIBPREFIX)ppm.cma

WITH_XVTHUMB=	$(LIBPREFIX)xvthumb.cma

WITH_PNG =	$(LIBPREFIX)png.cma

WITH_PS =	$(LIBPREFIX)ps.cma

WITH_FREETYPE=	$(LIBPREFIX)freetype.cma

WITH_CAMLIMAGES = $(WITH_CORELIB) $(WITH_GRAPHICS) $(WITH_FREETYPE) \
	$(WITH_GIF) $(WITH_JPEG) $(WITH_TIFF) $(WITH_BMP) $(WITH_PPM) \
        $(WITH_PNG) $(WITH_XVTHUMB) $(WITH_XPM) $(WITH_PS)

# only lablgtk_img lablgtk2_img is separated from $(WITH_CAMLIMAGES)

WITH_LABLGTKIMAGE = $(LIBPREFIX)lablgtk.cma
WITH_LABLGTK2IMAGE = $(LIBPREFIX)lablgtk2.cma

######################################

COMPFLAGS_CAMLIMAGES= -I $(LIBDIR)
LINKFLAGS_CAMLIMAGES= -cclib "-L$(LIBDIR)" $(WITH_CAMLIMAGES)

